package com.huimv.production.datasource.controller;

import com.huimv.production.datasource.service.IErpDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.query.Param;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project :
 * @Package : com.huimv.production.datasource.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping(value = "/erpData",method=RequestMethod.GET)
public class ErpDataController {

    @Autowired
    private IErpDataService erpDataService;

    /**
     * @Method      : getPsy
     * @Description : 取货Psy
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/14       
     * @Time        : 20:57
     */
    @RequestMapping("/getPsy")
    public String getPsy(){
        return erpDataService.getPsy();
    }

    /**
     * @Method      : getReEstrusRate
     * @Description : 获取返情率
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/14       
     * @Time        : 21:14
     */
    @RequestMapping("/getReEstrusRate")
    public String getReEstrusRate(@Param(value="startDate") String startDate,@Param(value="endDate") String endDate){
        return erpDataService.getReEstrusRate(startDate,endDate);
    }

    /**
     * @Method      : getParturitionRate
     * @Description : 获取分娩率
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/15       
     * @Time        : 11:02
     */
    @RequestMapping("/getParturitionRate")
    public String getParturitionRate(@Param(value="startDate") String startDate,@Param(value="endDate") String endDate){
        return erpDataService.getParturitionRate(startDate,endDate);
    }

    /**
     * @Method      : getStorage
     * @Description : 获取各种存栏
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/15       
     * @Time        : 11:16
     */
    @RequestMapping("/getStorage")
    public String getStorage(){
        return erpDataService.getStorage();
    }

    /**
     * @Method      : getPigletInfo
     * @Description : 获取均产仔数，仔猪存活率
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/15       
     * @Time        : 11:18
     */
    @RequestMapping("/getPigletInfo")
    public String getPigletInfo(@Param(value="startDate") String startDate,@Param(value="endDate") String endDate){
        return erpDataService.getPigletInfo(startDate,endDate);
    }

    /**
     * @Method      : getMatingTimes
     * @Description : 配种数量
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/15       
     * @Time        : 11:35
     */
    @RequestMapping("/getMateQuantity")
    public String getMateQuantity(@Param(value="startDate") String startDate,@Param(value="endDate") String endDate){
        return erpDataService.getMateQuantity(startDate,endDate);
    }

    /**
     * @Method      : getConceptionRate
     * @Description : 受胎率
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/15       
     * @Time        : 11:38
     */
    @RequestMapping("/getConceptionRate")
    public String getConceptionRate(@Param(value="startDate") String startDate,@Param(value="endDate") String endDate){
        return erpDataService.getConceptionRate(startDate,endDate);
    }

    /**
     * @Method      : getAllStorage
     * @Description : 总存栏，母猪存栏
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2021/5/15       
     * @Time        : 11:39
     */
    @RequestMapping("/getAllStorage")
    public String getAllStorage(){
        return erpDataService.getAllStorage();
    }
}
